<template>
    <button :id="direction" class="changer" @click="$emit('click')"></button>
</template>

<script>
export default {
  props: ['direction']
}
</script>

<style>
.changer {
    width: 15%;
    height: 100%;
    border: 0;
    font-size: 60px;
    color: rgba(255, 255, 255, 0.50);
    background: black;
    z-index: 1;
    position: absolute;
}

.changer:active {
    color: white
}

#next {
    background: rgba(0, 0, 0, 0.0);
    top: 0%;
    left: 85%;
}

#next:hover:after {
    content: ">";
}

#previous {
    background: rgba(0, 0, 0, 0.0);
    top: 0%;
    left: 0%;
}

#previous:hover:after {
    content: "<";
}
</style>
